# Generated from xml-mapping-0.10.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name xml-mapping

Name: rubygem-%{gem_name}
Version: 0.10.1
Release: 1%{?dist}
Summary: XML-Object mapper for Ruby
License: Apache-2.0
URL: https://github.com/multi-io/xml-mapping
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
An easy to use, extensible library for semi-automatically mapping Ruby objects
to XML and back. Includes an XPath interpreter.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/TODO.txt
%{gem_libdir}
%{gem_instdir}/user_manual.md
%{gem_instdir}/user_manual_xxpath.md
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/examples
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 0.10.1-1
- Initial package
